﻿<div ng-controller="manageAdsController">
    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li><a href="#/ads">{{transaction.Ads}}</a></li>
        </ol>

        <a ng-click="backButton()" class="glyphicon glyphicon-chevron-left back-arrow"></a>
    </div>

    <div class="container-fluid" ng-hide="showLoader">
        <form novalidate name="myForm">
            <panel panel-class="panel-midnightblue">
                <div id="page-headings">
                    <h2>{{title}}</h2>
                </div>

                <div class="row" style="background-color: #f7f7f7 !important; border: 1px solid #ccc; box-shadow: none;">

                    <div class="col-xs-9" style="padding-top: 11px">
                        <div>
                            <div class="form-group">
                                <label class="control-label">{{transaction.Name}} {{transaction.Ad}}</label>
                                <input required type="text" class="form-control" name="name" ng-model="model.name">
                                <div class="help-block" ng-messages="myForm.name.$error" ng-show="myForm.name.$error && myForm.name.$touched">
                                    <div ng-messages-include="/App/Templates/messages.html"></div>
                                </div>
                            </div>
                        </div>


                        <div style="padding-top: 11px">
                            <div class="form-group">
                                <label class="control-label">{{transaction.Link}} {{transaction.Ad}}</label>

                                <input type="url" ng-pattern="/https?:\/\/(www\.)?[-a-zA-Z0-9@:%._\+~#=]{2,256}\.[a-z]{2,6}\b([-a-zA-Z0-9@:%_\+.~#?&//=]*)/"
                                       class="form-control" name="url" ng-model="model.url" aria-describedby="basic-addon1"
                                       ng-class="{ 'has-error': myForm.url.$touched && myForm.url.$invalid,
                                                            'has-success': myForm.url.$touched && myForm.url.$valid  }">


                                <div class="help-block" ng-messages="myForm.url.$error" ng-show="myForm.url.$error && myForm.url.$touched">
                                    <div ng-messages-include="/App/Templates/messages.html"></div>
                                </div>
                            </div>
                        </div>
                        <div style="padding-top: 11px">
                            <div class="form-group">
                                <label class="control-label">{{transaction.TimeInSeconds}}</label>

                                <input type="number"
                                       class="form-control" required name="secondNumber" ng-model="model.secondNumber" aria-describedby="basic-addon1"
                                       ng-class="{ 'has-error': myForm.secondNumber.$touched && myForm.secondNumber.$invalid,
                                                            'has-success': myForm.secondNumber.$touched && myForm.secondNumber.$valid  }">


                                <div class="help-block" ng-messages="myForm.secondNumber.$error" ng-show="myForm.secondNumber.$error && myForm.secondNumber.$touched">
                                    <div ng-messages-include="/App/Templates/messages.html"></div>
                                </div>
                            </div>
                        </div>
                        <div style="padding-top: 11px">
                            <div class="form-group">
                                <label class="control-label">{{transaction.IsShow}}</label>


                                <input type="checkbox" name="isShow" ng-model="model.isShow" aria-describedby="basic-addon1"
                                       ng-class="{ 'has-error': myForm.isShow.$touched && myForm.isShow.$invalid,
                                                            'has-success': myForm.isShow.$touched && myForm.isShow.$valid  }">

                                <div class="help-block" ng-messages="myForm.isShow.$error" ng-show="myForm.isShow.$error && myForm.isShow.$touched">
                                    <div ng-messages-include="/App/Templates/messages.html"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-xs-3">
                        <label class="control-label" style="margin-right: 33px;">{{transaction.Photo}}</label>
                        <br />
                        <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> العرض : {{uploadedImageWidth}}</label>
                        <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> الطول : {{uploadedImageHeight}}</label>

                        <div style="margin-right: 27px;" class="fileinput fileinput-new" ng-change="imageChange()" ng-model="model.attachmentViewModel" base-sixty-four-input data-provides="fileinput">
                            <div class="fileinput-preview thumbnail" data-trigger="fileinput" style="width: 200px; height: 150px;">
                                <img id="adImg" ng-src="{{ model.photoUrl }}" />
                            </div>
                            <div>
                                <span class="btn btn-default btn-file" ng-click="deletehidebutton=false">
                                    <span class="fileinput-new">{{transaction.SelectImage}}</span>
                                    <span class="fileinput-exists">{{transaction.ChangeImage}}</span>
                                    <input type="file" name="... " id="adsFU" accept='image/*'>
                                </span>
                                <!--<a href="#" class="btn btn-default fileinput-exists" ng-show="deletehidebutton==false" ng-click="delteimage(model.id)" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>-->
                            </div>
                            <a class="btn btn-default fileinput" ng-click="delteimage(model.id);deletehidebutton=false" ng-show="deletehidebutton" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>
                            <a class="btn btn-danger fileinput" ng-show="model.photoUrl || (model.attachmentViewModel && model.attachmentViewModel.base64 )" ng-click="removeImageUrl();" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>

                        </div>

                    </div>


                </div>
                <div style="margin-top:10px" class="pull-right">
                    <button class="btn btn-primary" ng-disabled="myForm.$invalid" ng-click="save(myForm)"> {{transaction.Save}}</button>
                </div>

            </panel>
        </form>
    </div>

</div>

